Eclipse Platform Release 3.7

## org.eclipse.jface.layout
Class TreeColumnLayout

    java.lang.Object
      org.eclipse.swt.widgets.Layout
          org.eclipse.jface.layout.AbstractColumnLayout
              org.eclipse.jface.layout.TreeColumnLayout

    public class TreeColumnLayout

extends AbstractColumnLayout

The TreeColumnLayout is the `Layout` used to maintain `TreeColumn` sizes in a `Tree`.

You can only add the `Layout` to a container whose only child is the `Tree` control you want the `Layout` applied to. Don't assign the layout directly the `Tree`

Since:
  3.3

Field Summary

Fields inherited from class org.eclipse.jface.layout.AbstractColumnLayout
`LAYOUT_DATA`

Constructor Summary
`TreeColumnLayout()`

Method Summary
`protected int` `getColumnCount(Scrollable tree)` Get the number of columns for the receiver.
`protected ColumnLayoutData` `getLayoutData(Scrollable tableTree, int columnIndex)` Get the layout data for a column
`protected void` `layout(Composite composite, boolean flushCache)` Lays out the children of the specified composite according to this layout.
`protected void` `setColumnWidths(Scrollable tree, int[] widths)` Set the widths of the columns.
`protected void` `updateColumnData(Widget column)` Update the layout data for a column

Methods inherited from class org.eclipse.jface.layout.AbstractColumnLayout
`computeSize, getColumnTrim, setColumnData`

Methods inherited from class org.eclipse.swt.widgets.Layout
`flushCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeColumnLayout

    public TreeColumnLayout()

Method Detail

### layout

    protected void layout(Composite composite,
                          boolean flushCache)

  Description copied from class: `Layout`
  Lays out the children of the specified composite according to this layout.

  This method positions and sizes the children of a composite using the layout algorithm encoded by this layout. Children of the composite are positioned in the client area of the composite. The position of the composite is not altered by this method.

  When the flush cache hint is true, the layout is instructed to flush any cached values associated with the children. Typically, a layout will cache the preferred sizes of the children to avoid the expense of computing these values each time the widget is laid out.

  When layout is triggered explicitly by the programmer the flush cache hint is true. When layout is triggered by a resize, either caused by the programmer or by the user, the hint is false.

  Overrides:
    `layout` in class `AbstractColumnLayout`
  Parameters:
    `composite` - a composite widget using this layout
    `flushCache` - `true` means flush cached layout values

### getColumnCount

    protected int getColumnCount(Scrollable tree)

  Get the number of columns for the receiver.

  Specified by:
    `getColumnCount` in class `AbstractColumnLayout`
  Parameters:
    `tree` - the control
  Returns:
    the number of columns
  Since:
    3.5

### setColumnWidths

    protected void setColumnWidths(Scrollable tree,
                                   int[] widths)

  Set the widths of the columns.

  Specified by:
    `setColumnWidths` in class `AbstractColumnLayout`
  Parameters:
    `tree` - the control
    `widths` - the widths of the column
  Since:
    3.5

### getLayoutData

    protected ColumnLayoutData getLayoutData(Scrollable tableTree,
                                             int columnIndex)

  Get the layout data for a column

  Specified by:
    `getLayoutData` in class `AbstractColumnLayout`
  Parameters:
    `tableTree` - the control
    `columnIndex` - the column index
  Returns:
    the layout data, might not null
  Since:
    3.5

### updateColumnData

    protected void updateColumnData(Widget column)

  Update the layout data for a column

  Specified by:
    `updateColumnData` in class `AbstractColumnLayout`
  Parameters:
    `column` - the column
  Since:
    3.5

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.